import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { BoolFilterObjectSchema as BoolFilterObjectSchema } from './BoolFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const backupdestinationwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => BackupDestinationWhereInputObjectSchema), z.lazy(() => BackupDestinationWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => BackupDestinationWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => BackupDestinationWhereInputObjectSchema), z.lazy(() => BackupDestinationWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  path: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  isActive: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const BackupDestinationWhereInputObjectSchema: z.ZodType<Prisma.BackupDestinationWhereInput> = backupdestinationwhereinputSchema as unknown as z.ZodType<Prisma.BackupDestinationWhereInput>;
export const BackupDestinationWhereInputObjectZodSchema = backupdestinationwhereinputSchema;
